Package com.collibra.dgc.core.api.dto.instance.asset

# Class FindRelatedAssetsRequest.Builder

Object
Builder

Enclosing class:
  `FindRelatedAssetsRequest`

public static class FindRelatedAssetsRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindRelatedAssetsRequest.Builder`
  `acceptLag(String acceptLag)`
  `FindRelatedAssetsRequest`
  `build()`
  `FindRelatedAssetsRequest.Builder`
  `relationDirection(RelationDirection relationDirection)`
  The direction in which the relation is traversed.
  `FindRelatedAssetsRequest.Builder`
  `relationTypePublicId(String relationTypePublicId)`
  The public ID of the relation type to traverse (e.g.
  `FindRelatedAssetsRequest.Builder`
  `sourceAssetId(UUID sourceAssetId)`
  The ID of the asset whose relations are traversed.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### sourceAssetId

    public FindRelatedAssetsRequest.Builder sourceAssetId(UUID sourceAssetId)
    The ID of the asset whose relations are traversed.
    Returns:
      `this`.

  - ### relationTypePublicId

    public FindRelatedAssetsRequest.Builder relationTypePublicId(String relationTypePublicId)
    The public ID of the relation type to traverse (e.g. `"ColumnIsPartOfTable"`).
    Returns:
      `this`.

  - ### relationDirection

    public FindRelatedAssetsRequest.Builder relationDirection(RelationDirection relationDirection)
    The direction in which the relation is traversed. Use `RelationDirection.TO_TARGET` to follow relations from the source asset to their targets, or `RelationDirection.TO_SOURCE` to follow relations in the opposite direction.
    Returns:
      `this`.

  - ### acceptLag

    public FindRelatedAssetsRequest.Builder acceptLag(String acceptLag)
    Returns:
      `this`.

  - ### build

    public FindRelatedAssetsRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`